# TP Loto

Énoncé du TP : [https://tp-vhdl.gitlab-pages.imt-atlantique.fr/loto/](https://tp-vhdl.gitlab-pages.imt-atlantique.fr/loto/)

## Question Loto 1 : Quels sont les signaux à renseigner dans la liste de sensibilité (si vous utilisez un process explicite) ?

On doit renseigner comme signaux les inputs (I_0, I_1, ..., I_5) ainsi que le sélecteur (I_sel) 

## Question Loto 2 : Que se passe-t-il si le test est incomplet, c’est-à-dire s’il ne couvre pas toutes les combinaisons d’entrées du module ? Est-ce grave ?

Si le test est incomplet, la simulation ne peut pas se lancer et affiche une erreur. 

## Question Loto 3 : Ce test est-il concluant ? Est-il suffisant pour valider le module ? Justifiez.

La simulation permet d'observer le comportement du multiplexeur. A priori les valeurs renvoyées sont cohérentes, mais ça n'est peut-être pas suffisant pour conclure quant au bon fonctionnement de notre code.

![capture question 3 ](./capture1.png)

## Question Loto 4 : Quel(s) signal(aux) doit on renseigner dans la liste de sensibilité de ce processus séquentiel ? Pourquoi ?

On doit renseigner I_clk,I_rst

## Question Loto 5 : Que se passe-t-il si le test est incomplet, c’est-à-dire s’il ne couvre pas toutes les combinaisons d’entrées du module ? Est-ce grave ici ?


Non ce n'est pas grave car le signal I_block est indépendant du signal du compteur 

## Question 6 : Validation du compteur
**Résultats :**  
Incrémentation correcte
Réinitialisation après 5  
**→ Test validé**

---

## Questions 7/8 : Machine à états
**Architecture :**
**1 processus synchrone** (états + sorties)  
**Alternative :**  
2 processus : 
  1. Synchrone (états)
  2. Combinatoire (sorties)

---

## Question 10 : Validation FSM
**Simulation :**   
Transitions conformes au diagramme  
**Test concluant**

---

## Question 11 : Conformité synthèse
**Différences observées :**
Buffer manquant dans le schéma généré  
Non lié à une erreur VHDL  
*(Comportement fonctionnel conservé)*

---

## Question 12 : Utilisation FPGA
**Ressources :**
73 LUTs
89 Flip-Flops
0 Latch *(Bon point : évite les aléas logiques)*

---

## Question 13 : Aléa du tirage
**Pour un humain :**  
**Oui** (suffisamment imprévisible)  
**Pour une machine :**  
**Non** (pseudo-aléatoire basé sur horloge)